Bug 831884 - rhc-admin-move leaves keys loaded into ssh-agent
rhc-admin-move leaves keys loaded into ssh-agent
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Pod (Show other bugs)
2.x
Unspecified Unspecified
high Severity high
: ---
: ---
Assigned To: Dan McPherson
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-13 22:02 EDT by Wesley Hearn
Modified: 2015-05-14 21:58 EDT (History)
3 users (show)

See Also:
Fixed In Version: devenv_1848
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-25 14:27:09 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Wesley Hearn 2012-06-13 22:02:02 EDT
Description of problem:
rhc-admin-move leaves ssh keys loaded into ssh-agent. After moving a lot of apps we have seen the number get close to 3000 keys still loaded in memory on the ex-srvs.

Version-Release number of selected component (if applicable):


How reproducible:
Always.

Steps to Reproduce:
1. Run `ps -aux | grep ssh-agent | wc -l` on a broker take note how many is running
2. Use rhc-admin-mode to move a gear from one node to another
3. Rerun `ps -aux | grep ssh-agent | wc -l`
  
Actual results:
Each time rhc-admin-move is ran it leaves the ssh key loaded into ssh-agent causing it to take up resources(2800 running is about 2GB of ram)

Expected results:
It should clear the key from ssh-agent after completion

Additional info:
Comment 1 Johnny Liu 2012-06-18 03:37:02 EDT
Verified this bug on devenv_1850, and PASS.

# rhc-admin-move .....
<--snip-->
Identity added: /var/www/stickshift/broker/config/keys/rsync_id_rsa (/var/www/stickshift/broker/config/keys/rsync_id_rsa)
Warning: Permanently added '10.72.198.196' (RSA) to the list of known hosts.
Agent pid 15950
unset SSH_AUTH_SOCK;
unset SSH_AGENT_PID;
echo Agent pid 15950 killed;
<--snip-->


Before move:
# ps -ef | grep ssh-agent 
root     15944 14947  0 03:33 pts/1    00:00:00 grep ssh-agent


During move:
# ps -ef | grep ssh-agent 
root     15947 15325  0 03:33 pts/0    00:00:00 sh -c eval `ssh-agent`; ssh-add /var/www/stickshift/broker/config/keys/rsync_id_rsa; ssh -o StrictHostKeyChecking=no -A root@10.72.198.196 "rsync -aA -e 'ssh -o StrictHostKeyChecking=no' /var/lib/stickshift/16cee095b10d44468b79d5c9d1a9613d/ root@10.110.81.169:/var/lib/stickshift/16cee095b10d44468b79d5c9d1a9613d/"; ssh-agent -k


After move:
# ps -ef | grep ssh-agent 
root     16001 14947  0 03:33 pts/1    00:00:00 grep ssh-agent

Note You need to log in before you can comment on or make changes to this bug.